package com.cim.idm.wmspackage.materialpacking.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;




public class MaterialPacking extends FieldAccessor implements DataInfo<MaterialPackingKey> {

	private MaterialPackingKey key;

	private String materialPackingType;
	private String contentMaterialType;
	private String materialType;
	private String materialSpecName;
	private String superMaterialPackingName;
	private String packingGrade;

	private int subPackingQuantity;
	private double materialCreateQuantity;
	private double materialQuantity;
	private double materialQuantity2;
	private String packingState;
	private String oldPackingState;

	private String stockState;
	private String oldStockState;
	private String holdState;
	private String areaName;
	private String locationName;
	private String durableName;
	private String materialProcessGroupName;

	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;

	private Timestamp createTime;
	private String createUser;

	private String receiveRequestName;
	private String receiveRequestDetailName;
	private Timestamp makeDate;

	private String receiveActNo;
	private Timestamp receiveTime;
	private String receiveUser;

	private String shipRequestName;
	private String shipRequestDetailName;
	private Timestamp shipTime;
	private String shipUser;

	private String reasonCodeType;
	private String reasonCode;
	private String oqaResult;
	private String oqaResultState;
	private String oqaMethod;// 值为MRB
	private String remark;// 质检备注
	private String improvmentFlag;
	private double ETCOUTQuantity;
	private String mesReceiveFlag;
	private Timestamp mesReceiveTime;
	private String SDK_ID;
	private String PHASE;
	@UserColumnMark
	private String receiptor;
	// 众凌定制
	// 供应商批次
	@UserColumnMark
	private String supplierCharge;
	// M2定制 线体
	@UserColumnMark
	private String shopName;

	private String lkMaterialPackingName;

	private String materialPackingName;


	private String unit;

	private String shelfName;

	private String exceptionHandling;

	private String specialState;

	private String preErpLocation;

	private String funit;

	private double fqty;

	private String truegg;

	private String preLocationName;

	private Timestamp maturationInTime;//熟化入库时间


	//private String CAREER_ASSISTANCE;

	private String SALESPERSON;

	private String BUSINESS_UNIT;


	private String durableType;

	private String productOrder;


//	private String phase;

	private String packingGradeDetail;
	private String materialSpecType;

	private String sendMesFlag;
	private String gxId;//管芯

	private String CAREER_ASSISTANCE;

	private String CUSTOMNO;

	private String lastHoldUser; //最近一次冻结人


	public String getLastHoldUser() {
		return lastHoldUser;
	}

	public void setLastHoldUser(String lastHoldUser) {
		this.lastHoldUser = lastHoldUser;
	}

	public String getSALESPERSON() {
		return SALESPERSON;
	}

	public void setSALESPERSON(String sALESPERSON) {
		SALESPERSON = sALESPERSON;
	}

	public String getBUSINESS_UNIT() {
		return BUSINESS_UNIT;
	}

	public void setBUSINESS_UNIT(String bUSINESS_UNIT) {
		BUSINESS_UNIT = bUSINESS_UNIT;
	}

	public String getDurableType() {
		return durableType;
	}

	public void setDurableType(String durableType) {
		this.durableType = durableType;
	}

	public double getMaterialQuantity2() {
		return materialQuantity2;
	}

	public void setMaterialQuantity2(double materialQuantity2) {
		this.materialQuantity2 = materialQuantity2;
	}

	public String getPreLocationName() {
		return preLocationName;
	}

	public void setPreLocationName(String preLocationName) {
		this.preLocationName = preLocationName;
	}

	public Timestamp getMaturationInTime() {
		return maturationInTime;
	}

	public void setMaturationInTime(Timestamp maturationInTime) {
		this.maturationInTime = maturationInTime;
	}


	public String getFunit() {
		return funit;
	}

	public void setFunit(String funit) {
		this.funit = funit;
	}
	public double getFqty() {
		return fqty;
	}

	public void setFqty(double fqty) {
		this.fqty = fqty;
	}

	public String getTruegg() {
		return truegg;
	}

	public void setTruegg(String truegg) {
		this.truegg = truegg;
	}

	public String getPreErpLocation() {
		return preErpLocation;
	}

	public void setPreErpLocation(String preErpLocation) {
		this.preErpLocation = preErpLocation;
	}

	public String getExceptionHandling() {
		return exceptionHandling;
	}

	public void setExceptionHandling(String exceptionHandling) {
		this.exceptionHandling = exceptionHandling;
	}

	public String getSpecialState() {
		return specialState;
	}

	public void setSpecialState(String specialState) {
		this.specialState = specialState;
	}

//	public String getPhase() {
//		return phase;
//	}
//
//	public void setPhase(String phase) {
//		this.phase = phase;

	public String getCAREER_ASSISTANCE() {
		return CAREER_ASSISTANCE;
	}

	public void setCAREER_ASSISTANCE(String CAREER_ASSISTANCE) {
		this.CAREER_ASSISTANCE = CAREER_ASSISTANCE;
	}

	public String getCUSTOMNO() {
		return CUSTOMNO;
	}

	public void setCUSTOMNO(String CUSTOMNO) {
		this.CUSTOMNO = CUSTOMNO;
	}
//	}

	public String getShelfName() {
		return shelfName;
	}

	public void setShelfName(String shelfName) {
		this.shelfName = shelfName;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getMaterialPackingName() {
		return materialPackingName;
	}

	public void setMaterialPackingName(String materialPackingName) {
		this.materialPackingName = materialPackingName;
	}

	public String getLkMaterialPackingName() {
		return lkMaterialPackingName;
	}

	public void setLkMaterialPackingName(String lkMaterialPackingName) {
		this.lkMaterialPackingName = lkMaterialPackingName;
	}

	public void setSDK_ID(String sDK_ID) {
		SDK_ID = sDK_ID;
	}

	public String getSDK_ID() {
		return SDK_ID;
	}

	public void setSDKID(String SDK_ID) {
		this.SDK_ID = SDK_ID;
	}


	public String getPHASE() {
		return PHASE;
	}

	public void setPHASE(String PHASE) {
		this.PHASE = PHASE;
	}

	public String getShopName() {
		return shopName;
	}

	public void setShopName(String shopName) {
		this.shopName = shopName;
	}

	public String getSupplierCharge() {
		return supplierCharge;
	}

	public void setSupplierCharge(String supplierCharge) {
		this.supplierCharge = supplierCharge;
	}

	public String getReceiptor() {
		return receiptor;
	}

	public void setReceiptor(String receiptor) {
		this.receiptor = receiptor;
	}

	public double getETCOUTQuantity() {
		return ETCOUTQuantity;
	}

	public String getMesReceiveFlag() {
		return mesReceiveFlag;
	}

	public void setMesReceiveFlag(String mesReceiveFlag) {
		this.mesReceiveFlag = mesReceiveFlag;
	}

	public Timestamp getMesReceiveTime() {
		return mesReceiveTime;
	}

	public void setMesReceiveTime(Timestamp mesReceiveTime) {
		this.mesReceiveTime = mesReceiveTime;
	}

	public void setETCOUTQuantity(double eTCOUTQuantity) {
		ETCOUTQuantity = eTCOUTQuantity;
	}

	public String getImprovmentFlag() {
		return improvmentFlag;
	}

	public void setImprovmentFlag(String improvmentFlag) {
		this.improvmentFlag = improvmentFlag;
	}

	public Timestamp getExpiringDate() {
		return expiringDate;
	}

	public void setExpiringDate(Timestamp expiringDate) {
		this.expiringDate = expiringDate;
	}

	private Timestamp expiringDate;

	public String getOqaMethod() {
		return oqaMethod;
	}

	public void setOqaMethod(String oqaMethod) {
		this.oqaMethod = oqaMethod;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	@UserColumnMark
	private String erpLocation;
	@UserColumnMark
	private String erpFactory;

	@UserColumnMark
	private String etcState;

	@UserColumnMark
	private String stockInType;
	@UserColumnMark
	private String charge;
	@UserColumnMark
	private String supplierName;
	@UserColumnMark
	private String unDoID;
	@UserColumnMark
	private String unDoDetailName;
	@UserColumnMark
	private Timestamp erpEventTime;
	@UserColumnMark
	private String npFlag;
	@UserColumnMark
	private String messageId;
	@UserColumnMark
	private String erpState;
	@UserColumnMark
	private String fifoFlag;

	public String getMessageId() {
		return messageId;
	}

	public void setMessageId(String messageId) {
		this.messageId = messageId;
	}

	public String getErpState() {
		return erpState;
	}

	public void setErpState(String erpState) {
		this.erpState = erpState;
	}

	public String getCharge() {
		return charge;
	}

	public void setCharge(String charge) {
		this.charge = charge;
	}

	public String getSupplierName() {
		return supplierName;
	}

	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}

	public String getFifoFlag() {
		return fifoFlag;
	}

	public void setFifoFlag(String fifoFlag) {
		this.fifoFlag = fifoFlag;
	}

	@Override
	public MaterialPackingKey getKey() {
		return key;
	}

	@Override
	public void setKey(MaterialPackingKey keyInfo) {
		this.key = keyInfo;
	}

//	public String getPackingGroupType() {
//		return packingGroupType;
//	}
//
//	public void setPackingGroupType(String packingGroupType) {
//		this.packingGroupType = packingGroupType;
//	}

//	public String getPackingGroupGrade() {
//		return packingGroupGrade;
//	}
//
//	public void setPackingGroupGrade(String packingGroupGrade) {
//		this.packingGroupGrade = packingGroupGrade;
//	}

//	public String getPackingGroupState() {
//		return packingGroupState;
//	}
//
//	public void setPackingGroupState(String packingGroupState) {
//		this.packingGroupState = packingGroupState;
//	}

	public String getMaterialType() {
		return materialType;
	}

	public void setMaterialType(String materialType) {
		this.materialType = materialType;
	}

//	public String getSuperPackingGroupName() {
//		return superPackingGroupName;
//	}
//
//	public void setSuperPackingGroupName(String superPackingGroupName) {
//		this.superPackingGroupName = superPackingGroupName;
//	}

	public String getMaterialSpecName() {
		return materialSpecName;
	}

	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}

//	public String getMaterialBatchNo() {
//		return materialBatchNo;
//	}
//
//	public void setMaterialBatchNo(String materialBatchNo) {
//		this.materialBatchNo = materialBatchNo;
//	}

//	public int getSubPackingGroupQuantity() {
//		return subPackingGroupQuantity;
//	}
//
//	public void setSubPackingGroupQuantity(int subPackingGroupQuantity) {
//		this.subPackingGroupQuantity = subPackingGroupQuantity;
//	}

//	public String getOldPackingGroupState() {
//		return oldPackingGroupState;
//	}
//
//	public void setOldPackingGroupState(String oldPackingGroupState) {
//		this.oldPackingGroupState = oldPackingGroupState;
//	}

	public String getStockState() {
		return stockState;
	}

	public double getMaterialQuantity() {
		return materialQuantity;
	}

	public void setMaterialQuantity(double materialQuantity) {
		this.materialQuantity = materialQuantity;
	}

	public void setStockState(String stockState) {
		this.stockState = stockState;
	}

	public String getOldStockState() {
		return oldStockState;
	}

	public void setOldStockState(String oldStockState) {
		this.oldStockState = oldStockState;
	}

	public String getHoldState() {
		return holdState;
	}

	public void setHoldState(String holdState) {
		this.holdState = holdState;
	}

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public String getLocationName() {
		return locationName;
	}

	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}

//	public String getReceiveNo() {
//		return receiveNo;
//	}
//
//	public void setReceiveNo(String receiveNo) {
//		this.receiveNo = receiveNo;
//	}
//
//	public String getReceiveDetailNo() {
//		return receiveDetailNo;
//	}
//
//	public void setReceiveDetailNo(String receiveDetailNo) {
//		this.receiveDetailNo = receiveDetailNo;
//	}
//
//	public String getReceiveBatchNo() {
//		return receiveBatchNo;
//	}
//
//	public void setReceiveBatchNo(String receiveBatchNo) {
//		this.receiveBatchNo = receiveBatchNo;
//	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

//	public Timestamp getStockinTime() {
//		return stockinTime;
//	}
//
//	public void setStockinTime(Timestamp stockinTime) {
//		this.stockinTime = stockinTime;
//	}
//
//	public String getStockinUser() {
//		return stockinUser;
//	}
//
//	public void setStockinUser(String stockinUser) {
//		this.stockinUser = stockinUser;
//	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}

	public String getMaterialPackingType() {
		return materialPackingType;
	}

	public void setMaterialPackingType(String materialPackingType) {
		this.materialPackingType = materialPackingType;
	}

	public String getContentMaterialType() {
		return contentMaterialType;
	}

	public void setContentMaterialType(String contentMaterialType) {
		this.contentMaterialType = contentMaterialType;
	}

	public String getSuperMaterialPackingName() {
		return superMaterialPackingName;
	}

	public void setSuperMaterialPackingName(String superMaterialPackingName) {
		this.superMaterialPackingName = superMaterialPackingName;
	}

	public String getPackingGrade() {
		return packingGrade;
	}

	public void setPackingGrade(String packingGrade) {
		this.packingGrade = packingGrade;
	}

	public int getSubPackingQuantity() {
		return subPackingQuantity;
	}

	public void setSubPackingQuantity(int subPackingQuantity) {
		this.subPackingQuantity = subPackingQuantity;
	}

	public double getMaterialCreateQuantity() {
		return materialCreateQuantity;
	}

	public void setMaterialCreateQuantity(double materialCreateQuantity) {
		this.materialCreateQuantity = materialCreateQuantity;
	}

	public String getPackingState() {
		return packingState;
	}

	public void setPackingState(String packingState) {
		this.packingState = packingState;
	}

	public String getOldPackingState() {
		return oldPackingState;
	}

	public void setOldPackingState(String oldPackingState) {
		this.oldPackingState = oldPackingState;
	}

	public String getDurableName() {
		return durableName;
	}

	public void setDurableName(String durableName) {
		this.durableName = durableName;
	}

	public String getMaterialProcessGroupName() {
		return materialProcessGroupName;
	}

	public void setMaterialProcessGroupName(String materialProcessGroupName) {
		this.materialProcessGroupName = materialProcessGroupName;
	}

	public String getReceiveRequestName() {
		return receiveRequestName;
	}

	public void setReceiveRequestName(String receiveRequestName) {
		this.receiveRequestName = receiveRequestName;
	}

	public String getReceiveRequestDetailName() {
		return receiveRequestDetailName;
	}

	public void setReceiveRequestDetailName(String receiveRequestDetailName) {
		this.receiveRequestDetailName = receiveRequestDetailName;
	}

	public Timestamp getMakeDate() {
		return makeDate;
	}

	public void setMakeDate(Timestamp makeDate) {
		this.makeDate = makeDate;
	}

	public String getReceiveActNo() {
		return receiveActNo;
	}

	public void setReceiveActNo(String receiveActNo) {
		this.receiveActNo = receiveActNo;
	}

	public Timestamp getReceiveTime() {
		return receiveTime;
	}

	public void setReceiveTime(Timestamp receiveTime) {
		this.receiveTime = receiveTime;
	}

	public String getReceiveUser() {
		return receiveUser;
	}

	public void setReceiveUser(String receiveUser) {
		this.receiveUser = receiveUser;
	}

	public String getShipRequestName() {
		return shipRequestName;
	}

	public void setShipRequestName(String shipRequestName) {
		this.shipRequestName = shipRequestName;
	}

	public String getShipRequestDetailName() {
		return shipRequestDetailName;
	}

	public void setShipRequestDetailName(String shipRequestDetailName) {
		this.shipRequestDetailName = shipRequestDetailName;
	}

	public Timestamp getShipTime() {
		return shipTime;
	}

	public void setShipTime(Timestamp shipTime) {
		this.shipTime = shipTime;
	}

	public String getShipUser() {
		return shipUser;
	}

	public void setShipUser(String shipUser) {
		this.shipUser = shipUser;
	}

	public String getErpLocation() {
		return erpLocation;
	}

	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}

	public String getErpFactory() {
		return erpFactory;
	}

	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}

	public String getEtcState() {
		return etcState;
	}

	public void setEtcState(String etcState) {
		this.etcState = etcState;
	}

	public String getStockInType() {
		return stockInType;
	}

	public void setStockInType(String stockInType) {
		this.stockInType = stockInType;
	}

	public String getOqaResult() {
		return oqaResult;
	}

	public void setOqaResult(String oqaResult) {
		this.oqaResult = oqaResult;
	}

	public String getOqaResultState() {
		return oqaResultState;
	}

	public void setOqaResultState(String oqaResultState) {
		this.oqaResultState = oqaResultState;
	}

	public String getUnDoID() {
		return unDoID;
	}

	public void setUnDoID(String unDoID) {
		this.unDoID = unDoID;
	}
//	public String getPreUnDoId() {
//		return preUnDoId;
//	}
//
//	public void setPreUnDoId(String preUnDoId) {
//		this.preUnDoId = preUnDoId;
//	}

	public String getUnDoDetailName() {
		return unDoDetailName;
	}

	public void setUnDoDetailName(String unDoDetailName) {
		this.unDoDetailName = unDoDetailName;
	}

	public Timestamp getErpEventTime() {
		return erpEventTime;
	}

	public void setErpEventTime(Timestamp erpEventTime) {
		this.erpEventTime = erpEventTime;
	}

	public String getNpFlag() {
		return npFlag;
	}

	public void setNpFlag(String npFlag) {
		this.npFlag = npFlag;
	}

	public String getPackingGradeDetail() {
		return packingGradeDetail;
	}

	public void setPackingGradeDetail(String packingGradeDetail) {
		this.packingGradeDetail = packingGradeDetail;
	}

	public String getMaterialSpecType() {
		return materialSpecType;
	}

	public void setMaterialSpecType(String materialSpecType) {
		this.materialSpecType = materialSpecType;
	}

	public String getProductOrder() {
		return productOrder;
	}

	public void setProductOrder(String productOrder) {
		this.productOrder = productOrder;
	}

	public String getSendMesFlag() {
		return sendMesFlag;
	}

	public void setSendMesFlag(String sendMesFlag) {
		this.sendMesFlag = sendMesFlag;
	}

	public String getGxId() {
		return gxId;
	}

	public void setGxId(String gxId) {
		this.gxId = gxId;
	}

	public static class Field {
		public static final String messageID = "messageId";
	}

}
